ZARAFA-DAGENT.CFG(5)

NAME
zarafa-dagent.cfg - The Zarafa dagent configuration file

SYNOPSIS

dagent.cfg

DESCRIPTION

The dagent.cfg is a configuration file for the Zarafa Dagent. dagent.cfg contains instructions for the software to set up the logging system and LMTP settings.

FILE FORMAT

The file consists of one big section, but parameters can be grouped by functionality.

The parameters are written in the form:

name = value

The file is line-based. Each newline-terminated line represents either a comment, nothing, a parameter or a directive. A line beginning with `#' is considered a comment, and will be ignored by Zarafa. Parameter names are case sensitive. Lines beginning with `!' are directives.

Directives are written in the form:

!directive [argument(s)]

The following directives exist:

include
    Include and process argument

    Example: !include common.cfg

EXPLANATION OF EACH PARAMETER

server_bind
    Bind to a particular IP address. Leave empty to bind to all addresses.

    Default: (empty)

server_socket
    Unix socket to find the connection to the Zarafa server.

    Default: file:///var/run/zarafad/server.sock

run_as_user
    After correctly starting, the dagent process will become this user, dropping root privileges. Note that the log file needs to be writeable by this user, and the directory too to create new logfiles after logrotation. This can also be achieved by setting the correct group and permissions.

    Default value is empty, not changing the user after starting.

run_as_group
    After correctly starting, the dagent process will become this group, dropping root privileges.

    Default value is empty, not changing the group after starting.

pid_file
    Write the process ID number to this file. This is used by the init.d script to correctly stop/restart the service.

    Default: /var/run/zarafad/dagent.pid

sslkey_file
    Use this file as key to logon to the server. This is only used when server_socket is set to an HTTPS transport. See the zarafa-server(8) manual page on how to setup SSL keys.

    Default: value not set.

sslkey_pass
    The password of the SSL key file that is set in sslkey_file.

    Default: value not set.

lmtp_port
    Port to listen to for LMTP requests

    Default: 2003

lmtp_max_threads
    The maximum number of LMTP threads that can be running simultaneously. This is also limited by your SMTP server. (20 is the postfix default concurrency limit)

    Default: 20

spam_header_name
    To detect if the receiving mail is spam, the DAgent can check this header for a value that is in there. This name is case insensitive. If this option is empty, the detection method will be turned off. You can also force a delivery to the Junk Mail folder using the -j commandline option.

    Default: X-Spam-Status

spam_header_value
    When this value is found in the spam_header_name, the mail will be considered spam, and will be delivered in the user's Junk Mail folder. The value can be anywhere in the header, not just the start. The value is case insensitive.

    Default: Yes,

log_method
    The method which should be used for logging. Valid values are:

    syslog
        Use the Linux system log. All messages will be written to the mail facility. See also syslog.conf(5).

    file
        Log to a file. The filename will be specified in log_file.

    Default: file

log_file
    When logging to a file, specify the filename in this parameter. Use - (minus sign) for stderr output.

    Default: /var/log/zarafa/dagent.log

log_timestamp
    Specify whether to prefix each log line with a timestamp in 'file' logging mode.

    Default: 1

log_buffer_size
    Buffer logging in what sized blocks. The special value 0 selects line buffering.

    Default: 0

log_level
    The level of output for logging in the range from 0 to 5. 0 means no logging, 5 means full logging.

    Default: 2

log_raw_message
    Log the raw message to a file. The file is saved to the location specified in log_raw_message_path.

    Default: no

log_raw_message_path
    Path to save the raw message.

    Default: /tmp

archive_on_delivery
    Archive incoming message on delivery. If an archive is attached to the target mailbox, the message will immediately be archived upon delivery.

    Rules will be processed before the message is archived, so when a rule moves the message to an alternate location, the archived message will be placed in the correct location in the archive. When the incoming message is copied by a rule, only the original message is archived.

    Default: no

mr_autoaccepter
    Zarafa-dagent can auto-accept meeting requests if the mr-accept option is enabled for a user. When this option is enabled and a meeting request or meeting cancellation is received, this script is started with the following parameters: /usr/sbin/zarafa-mr-accept <username> </path/to/dagent.cfg> [<ENTRYID>].

    If the script is successful (exitcode is 0), then no other actions are performed (eg rules or vacation messages) and the message is not delivered in the inbox. If the script exits with a non-zero exit code, rules and vacation messages are run as usual, and the message is delivered in the inbox (or other folder, depending on rules or options).

    Default: /usr/sbin/zarafa-mr-accept

mr_autoprocessor
    Zarafa-dagent can auto-process meeting requests. When this is enabled and a meeting request, response or meeting cancellation is received, this script is started with the following parameters: /usr/bin/zarafa-mr-process <username> </path/to/dagent.cfg> [<ENTRYID>].

    Default: /usr/bin/zarafa-mr-process

plugin_enabled
    Enable or disable the dagent plugin framework.

    Default: yes

plugin_manager_path
    The path to the dagent plugin manager.

    Default: /usr/share/zarafa-dagent/python

plugin_path
    Path to the activated dagent plugins. This folder contains symlinks to the zarafa plugins and custom scripts. The plugins are installed in /usr/share/zarafa-dagent/python/plugins. To activate a plugin create a symbolic link in the plugin_path directory.

    Example:

    ln -s /usr/share/zarafa-dagent/python/plugins/BMP2PNG.py /var/lib/zarafa/dagent/plugins/BMP2PNG.py

    Default: /var/lib/zarafa/dagent/plugins

default_charset
    Some emails do not contain any charset information or specify us-ascii even though it isn't. In both cases, dagent will assume the following charset is used. Note that this implies that the given charset should be a superset of us-ascii (most charsets are).

    Default: iso-8859-15

set_rule_headers
    Enable the addition of X-Zarafa-Rule-Action headers on messages that have been forwarded or replied by a rule.

    Default: yes

no_double_forward
    Enable this option to prevent rules to cause a loop. An e-mail can only be forwarded once. When this option is enabled, the set_rule_headers option must also be enabled.

    Default: no

RELOADING

The following options are reloadable by sending the zarafa-dagent process a HUP signal:

log_level

archive_on_delivery

mr_autoaccepter

FILES

/etc/zarafa/dagent.cfg
    The Zarafa dagent configuration file.

AUTHOR

Written by Zarafa.

SEE ALSO

zarafa-dagent(8)